package m05bTiposReformaEJB;

/**
 * This is the Primary Key for the Entity EJB <tt>m05TiposReforma</tt>.
 */
public class m05TiposReformaPK implements java.io.Serializable {

  /**
   * This is the primary key.
   * It is the tiposreforma codigo, which is the primary key
   * in table <tt>m0538t00</tt>.
   */
  public String trf_codigo;

  /**
   * This is the equals method.
   * @param obj java.lang.Object
   * @return boolean
   */
  public boolean equals(Object obj) {
    if (obj instanceof m05TiposReformaPK) {
      m05TiposReformaPK otherKey = (m05TiposReformaPK) obj;
      return ((this.trf_codigo == otherKey.trf_codigo));
    }
    else
      return false;
  }

  /**
   * This is the hashCode method.
   * @return int
   */
  public int hashCode() {
    return Integer.parseInt(trf_codigo);
  }

}
